收藏
回答

wx.canIUse对openSetting疑似不管用,均返回false

问题模块 框架类型 问题类型 API/组件名称 终端类型 操作系统 微信版本 基础库版本
API和组件 小程序 Bug wx.canIUse 微信iOS客户端 Android 6.6.6 2.0.8

wx.canIUse('button.open-type.openSetting');

即便基础库版本大于2.0.7也均返回false,

请问这是怎么回事?

最后一次编辑于  2018-05-23  (未经腾讯允许,不得转载)
邀请回答
复制链接收藏投诉关注问题回答

3 个回答

  • 成
    2018-05-23

    wx.canIUse('button.open-type.openSetting');

    2018-05-23
    赞同
    回复
  • June
    June
    2018-05-23

    应该是canIUse没有及时更新,近期我们会修复一下。

    2018-05-23
    赞同
    回复 4
    • 孔红星
      孔红星
      2018-06-04

      wx . canIUse ( 'button.open-type.openSetting' );

      这个修复好了吗?

      2018-06-04
      回复
    • HGW
      HGW
      2018-06-11

      同问,啥时候修复好呀?

      2018-06-11
      回复
    • June
      June
      2018-06-11回复HGW

      近期版本(2.1.x)会修复。

      2018-06-11
      回复
    • 您
      2018-06-28

      canIUse是否可以判断 已经废弃的api

      2018-06-28
      回复
  • Maosheng
    Maosheng
    2018-07-27

    console.log('canIUse:' + wx.canIUse('navigator.target.miniProgram'));

    开发工具和真机都是返回false?

    这个问题还没修复吗??

    2.2.1的开发工具上依旧返回false

    2018-07-27
    赞同
    回复